import { UploadFileType } from "@model/questionTypes/file";

export const MAX_FILE_SIZE = 419430400;

export const UPLOAD_FILE_DESCRIPTIONS_MAP = {
  picture: {
    title: "Add image",
    description: "Accepts images",
  },
  video: {
    title: "Add video",
    description: "Accepts .mp4 and .mov format - maximum 50mb",
  },
  audio: { title: "Add audio file", description: "Accepts audio files" },
  document: { title: "Add document", description: "Accepts documents" },
} as const satisfies Record<UploadFileType, { title: string; description: string }>;

export const ACCEPT_SEND_FILE_TYPES_MAP = {
  picture: [".jpeg", ".jpg", ".png", ".ico", ".gif", ".tiff", ".webp", ".eps", ".svg"],
  video: [".mp4", ".mov", ".wmv", ".avi", ".avchd", ".flv", ".f4v", ".swf", ".mkv", ".webm", ".mpeg-2"],
  audio: [".aac", ".aiff", ".dsd", ".flac", ".mp3", ".mqa", ".ogg", ".wav", ".wma"],
  document: [".doc", ".docx", ".dotx", ".rtf", ".odt", ".pdf", ".txt", ".xls", ".ppt", ".xlsx", ".pptx", ".pages"],
} as const;
