export interface ButtonWidgetComponentProps {
  quizId: string;
  fixedSide?: "left" | "right";
  dialogDimensions?: { width: string; height: string };
  /**
   * Открыть квиз через X секунд, 0 - сразу, null - не открывать
   */
  autoShowQuizTime?: number | null;
  hideOnMobile?: boolean;
  openOnLeaveAttempt?: boolean;
  buttonFlash?: boolean;
  withShadow?: boolean;
  rounded?: boolean;
  buttonText?: string;
  buttonTextColor?: string;
  buttonBackgroundColor?: string;
  fullScreen?: boolean;
}

export type ButtonWidgetParams = Omit<ButtonWidgetComponentProps, "fixedSide"> & {
  selector: string;
  /**
   * In seconds, null - polling disabled
   */
  selectorPollingTimeLimit?: number | null;
};

export type ButtonWidgetFixedParams = Omit<ButtonWidgetComponentProps, "selector"> & {
  fixedSide: "left" | "right";
};
